- name: CrowdSec | Deinstall Package Fail2Ban
  ansible.builtin.package:
    state: absent
    name:
      - fail2ban

- name: CrowdSec | Install Package Prerequesits
  ansible.builtin.package:
    state: absent
    name:
      - apt-transport-https
      - gnupg

- name: CrowdSec | Add an apt signing key
  apt_key:
    url: https://packagecloud.io/crowdsec/crowdsec/gpgkey

- name: CrowdSec | Add apt repo
  apt_repository:
    repo: deb https://packagecloud.io/crowdsec/crowdsec/{{ ansible_distribution|lower }}/ {{ ansible_distribution_release|lower }} main
    update_cache: true

- name: CrowdSec | Install package & Bouncer
  apt:
    name:
      - crowdsec
      - crowdsec-firewall-bouncer-iptables